{
===============================================================================
  Copyright (©) 2007. Rodax Software.
===============================================================================
  Los contenidos de este fichero son propiedad de Rodax Software titular del
  copyright. Este fichero sólo podrá ser copiado, distribuido y utilizado,
  en su totalidad o en parte, con el permiso escrito de Rodax Software, o de
  acuerdo con los términos y condiciones establecidas en el acuerdo/contrato
  bajo el que se suministra.
  -----------------------------------------------------------------------------
  Web:  www.rodax-software.com
===============================================================================
  Fecha primera versión: 
  Versión actual: 1.0.0
  Fecha versión actual: 
===============================================================================
  Modificaciones:

    Fecha         Comentarios
    ---------------------------------------------------------------------------
===============================================================================
}

unit uBizPagosProveedor;

interface

uses
  uDAInterfaces, uDADataTable, uDBSelectionListUtils, schRecibosProveedorClient_Intf;

const
  BIZ_CLIENT_IBIZPAGOSPROVEEDOR = 'Client.IBizPagosProveedor';

  CTE_PAGO = 'Pago';
  CTE_DEVOLUCION = 'Devolución';

type
  IBizPagosProveedor = interface(IPagosProveedor)
  ['{5446E4B5-09E7-4FF0-ACFE-E157E9CADB17}']
  end;

  TBizPagosProveedor = class(TPagosProveedorDataTableRules, IBizPagosProveedor)
  private
    procedure IniciarValoresPagosProveedorNuevo;
  protected
    procedure OnNewRecord(Sender: TDADataTable); override;
    procedure BeforeInsert(Sender: TDADataTable); override;
  end;

implementation

uses
  DB, uFactuGES_App;

{ TBizPagosProveedor }

procedure TBizPagosProveedor.BeforeInsert(Sender: TDADataTable);
var
  AMasterTable : TDADataTable;
begin
  inherited;
  AMasterTable := DataTable.GetMasterDataTable;
  if Assigned(AMasterTable) and (AMasterTable.State = dsInsert) then
    AMasterTable.Post;
end;

procedure TBizPagosProveedor.IniciarValoresPagosProveedorNuevo;
begin
  //CONTABILIDAD
//  if Assigned(AppFactuGES.EjercicioActivo) then
//    IGNORAR_CONTABILIDAD := 0
//  else
    IGNORAR_CONTABILIDAD := 1;
end;

procedure TBizPagosProveedor.OnNewRecord(Sender: TDADataTable);
begin
  inherited;
  IniciarValoresPagosProveedorNuevo;
end;

initialization
  RegisterDataTableRules(BIZ_CLIENT_IBIZPAGOSPROVEEDOR, TBizPagosProveedor);

finalization

end.

